/*
  This file is part of GerPhys.

  GerPhys is free software: you can redistribute it and/or modify it under the
  terms of the GNU General Public License as published by the Free Software
  Foundation, either version 3 of the License, or (at your option) any later
  version.

  GerPhys is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
  A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along with
  GerPhys.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef GERPH_FLOATAREA_H
#define GERPH_FLOATAREA_H


#include "floatmap.h"
#include <QWidget>


namespace GerPh {


  class FloatArea: public QWidget {

    Q_OBJECT

    public:

      FloatArea();
      virtual ~FloatArea();

      FloatMap *getMap();
      void setMap(FloatMap *aValue);

    protected:

      virtual void resizeEvent(QResizeEvent *aEvent);
      virtual void paintEvent(QPaintEvent *aEvent);

    private:

      FloatMap *fMap;
      void (*fDrawing)(QPainter*, void*);
      void *fDrawArgs;

  }; // FloatArea


} // GerPh


#endif
