/*
  This file is part of GerPhys.

  GerPhys is free software: you can redistribute it and/or modify it under the
  terms of the GNU General Public License as published by the Free Software
  Foundation, either version 3 of the License, or (at your option) any later
  version.

  GerPhys is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
  A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along with
  GerPhys.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef GERPH_FLOATIMAGE_H
#define GERPH_FLOATIMAGE_H


#include "floatmap.h"
#include <QImage>


namespace GerPh {


  class FloatImage: public QImage {

    public:

      FloatImage(int aWidth, int aHeight,
        QImage::Format aFormat = QImage::Format_ARGB32);
      virtual ~FloatImage();

      FloatMap *getMap();
      void setMap(FloatMap *aValue);

      void drawMap();

    private:

      FloatMap *fMap;
      void (*fDrawing)(QPainter*, void*);
      void *fDrawArgs;

  }; // FloatImage


} // GerPh


#endif
